Subject: Re: bug#18833: 24.4; Mac OS top menu: wrong menus pop up if system zoom is enabled
From: Alan Third <[email-masked]>
To: "Silas S. Brown" <[email-masked]>
Cc: [email-masked]
Date: Sun, 03 Jan 2021 10:36:08 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

"Silas S. Brown" <[email-masked]> writes:

> Hi, I can now confirm that the "pure build" of GNU Emacs 24.4
> distributed for Mac OS X from http://emacsformacosx.com/ on 2014-10-20
> contains the same bug that I earlier reported against Aquamacs at
> http://comments.gmane.org/gmane.emacs.aquamacs.devel/992
> (copied below).  The bug is new in Emacs 24.4 (it wasn't there
> in Emacs 24.3).  I've reproduced it both on OS X 10.9.4 and OS X 10.7.
>
>> Hi, I'm on a machine running OS X version 10.9.4 and I use
>> System Preferences / Accessibility / Zoom to get 2x magnification
>> of the entire screen.  When Zoom is turned on, clicking on the
>> menubar in [Emacs] usually results in the wrong menu popping up.
>> For example, clicking on "Window" causes the "Edit" menu to pop up,
>> clicking on "Options" causes the "File" menu to pop up.  It seems
>> to be interpreting the click as further to the left of where it
>> actually is.  The menu does not STAY popped up however - as soon
>> as the mouse is released, the menu goes away again.  The only way
>> to access the menu options properly is to (1) click on the leftmost
>> "[Emacs]" menu (or the Apple icon), (2) drag the mouse over the
>> other menus - if you do THAT, you can get any menu you like to pop
>> up and stay popped up.  Which is a nice workaround.  But it would
>> be better if you could click on just any menu and have it pop up.
>> 
>> The bug hapens ONLY when Zoom is turned on.  I am using it at 2x
>> magnification, which I set in Zoom's "More Options".  I set
>> Minimum Zoom 0, Maximum Zoom 2, and pressed the Zoom In shortcut
>> (which by default is Command-Alt-Plus).
>> 
>> This is the first time I have known ANY application to behave
>> differently when Zoom is on compared to when it is off.  I didn't
>> know the applications even KNEW about zoom (I thought it was all
>> 'under the carpet' as far as applications are concerned).  Maybe
>> [Emacs] is trying to override the behaviour of the menu bar at
>> such a low level that it's being tripped up by this.

Sorry it's taken so long for someone to respond to this.

I've tried it on the latest master (Emacs 28) and I can't replicate it,
so I assume it's been fixed since this bug report was raised.

I'm going to close it now, but if you are still having this problem
please reply to this email and we'll reopen the bug report.
-- 
Alan Third